package monjce.jce.provider;
public final class MonJCEProvider
	extends java.security.Provider
{
    private static final String
        NAME    = "MonJCE",
        INFO    = "MonJCE JCE Weak Crypto Provider";
    private static final double
        VERSION = 1.0; 

    public MonJCEProvider() 
    {
        super(NAME, VERSION, INFO);

        // CESAR
        put("Cipher.CESAR",
			"monjce.jce.provider.cipher.CESAR");
		put("Alg.Alias.Cypher.CAESAR",
			"CESAR");
		
        put("KeyGenerator.CESAR",
			"monjce.jce.provider.key.CESARKeyGenerator");
        put("SecretKeyFactory.DES",
			"monjce.jce.provider.keyfactory.CESARKeyFactory");
    }
}
